summaryrefslogtreecommitdiffstats
path: root/source/y/bsd-games/bsd-games.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/y/bsd-games/bsd-games.SlackBuild')
-rwxr-xr-xsource/y/bsd-games/bsd-games.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/source/y/bsd-games/bsd-games.SlackBuild b/source/y/bsd-games/bsd-games.SlackBuild
index 4fb996719..63f4b452e 100755
--- a/source/y/bsd-games/bsd-games.SlackBuild
+++ b/source/y/bsd-games/bsd-games.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=${VERSION:-2.13}
-BUILD=${BUILD:-11}
+BUILD=${BUILD:-12}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -56,6 +56,11 @@ zcat $CWD/bsd-games.trek-gcc4.diff.gz | patch -p1 --backup --suffix=.orig || exi
zcat $CWD/bsd-games.phantasia_install_fix.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
zcat $CWD/bsd-games.getline.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+# Fix typos in the quote database:
+for typofix in $CWD/fortune-fixes-sorry-no-additions-accepted-here/* ; do
+ zcat $typofix | patch -p1 --verbose || exit 1
+done
+
## Without the old default (with, of course, a command line switch), and an updated
## man page, even though PJV wrote this, it just doesn't make the cut. I hope it's
## still of use to somebody though. It increases the accuracy of pom by two orders